import { DiscoverService } from './DiscoverService';
import { DiscoveryConfig } from './DiscoveryConfig';

export interface DiscoverPort {
  discoveryConfig?: DiscoveryConfig;

  firstScanRange?: number;
  lastScanRange?: number;
  excludePorts?: number[];

  includeTCP?: boolean;
  includeUDP?: boolean;

  discoverService?: DiscoverService;
}
